#include <FileConstants.au3>


Example()

Func Example()
	GUICreate("", 320, 55, @DesktopWidth / 2 - 160, @DesktopHeight / 2 - 45, -1)
	Local $idFile = GUICtrlCreateInput("", 10, 5, 300, 20)
	Local $idBtn = GUICtrlCreateButton("Suche", 10, 30, 60, 20)

	GUISetState(@SW_SHOW)

	While 1
		Switch GUIGetMsg()
			Case -3
				Exit
			Case $idBtn
				Local $sString = GUICtrlRead($idFile)
				Local $bString = StringToBinary($sString)
				_Search($bString)

		EndSwitch
	WEnd
EndFunc   ;==>Example


Func _Search($bString)

	Local $sFileName, $hFileOpen, $sFileRead

	Local $hSearch = FileFindFirstFile("*.*")

	While 1

		$sFileName = FileFindNextFile($hSearch)
		If @error Then ExitLoop


		$hFileOpen = FileOpen(@ScriptDir & "\" & $sFileName, $FO_BINARY)

		If $hFileOpen = -1 Then ConsoleWrite("Fehler beim Einlesen der Datei: " & $sFileName & @LF)

		$sFileRead = FileRead($hFileOpen)

		If StringInStr($sFileRead, $bString) Then
			ConsoleWrite("Treffer in " & $sFileName & @LF)
		Else
			ConsoleWrite("Kein Treffer in " & $sFileName & @LF)
		EndIf

		FileClose($hFileOpen)

	WEnd

EndFunc   ;==>_Search

